Package: emtdata
Title: An ExperimentHub Package for data sets with an Epithelial to
        Mesenchymal Transition (EMT)
Version: 1.18.0
Authors@R: c(
            person(given = "Malvika D.",
                   family = "Kharbanda",
                   role = c("aut", "cre"),
                   email = "kharbanda.m@wehi.edu.au",
                   comment = c(ORCID = "0000-0001-9726-3023")),
            person(given = "Chin Wee",
                   family = "Tan",
                   role = c("aut"),
                   email = "cwtan@wehi.edu.au",
                   comment = c(ORCID = "0000-0001-9695-7218")),
            person(given = "Dharmesh D.",
                   family = "Bhuva",
                   role = c("aut"),
                   email = "bhuva.d@wehi.edu.au",
                   comment = c(ORCID = "0000-0002-6398-9157"))
            )
Description: This package provides pre-processed RNA-seq data where the epithelial to mesenchymal transition was induced on cell lines. These data come from three publications Cursons et al. (2015), Cursons etl al. (2018) and Foroutan et al. (2017). In each of these publications, EMT was induces across multiple cell lines following treatment by TGFb among other stimulants. This data will be useful in determining the regulatory programs modified in order to achieve an EMT. Data were processed by the Davis laboratory in the Bioinformatics division at WEHI.
biocViews: ExperimentHub, Homo_sapiens_Data, RNASeqData, ExpressionData
Encoding: UTF-8
Roxygen: list(markdown = TRUE)
RoxygenNote: 7.1.1
Depends: R (>= 4.1)
Imports: edgeR, ExperimentHub, SummarizedExperiment
Suggests: testthat (>= 3.0.0), stringr, plyr, prettydoc, BiocStyle,
        Homo.sapiens, RColorBrewer, rmarkdown, BiocFileCache, knitr
URL: https://github.com/DavisLaboratory/emtdata
BugReports: https://github.com/DavisLaboratory/emtdata/issues
NeedsCompilation: no
VignetteBuilder: knitr
Config/testthat/edition: 3
License: GPL-3
git_url: https://git.bioconductor.org/packages/emtdata
git_branch: RELEASE_3_22
git_last_commit: 09ad6d2
git_last_commit_date: 2025-10-29
Repository: Bioconductor 3.22
Date/Publication: 2025-11-06
Packaged: 2025-11-06 16:17:17 UTC; biocbuild
Author: Malvika D. Kharbanda [aut, cre] (ORCID:
    <https://orcid.org/0000-0001-9726-3023>),
  Chin Wee Tan [aut] (ORCID: <https://orcid.org/0000-0001-9695-7218>),
  Dharmesh D. Bhuva [aut] (ORCID:
    <https://orcid.org/0000-0002-6398-9157>)
Maintainer: Malvika D. Kharbanda <kharbanda.m@wehi.edu.au>

#' TGFb stimulated cell lines from Foroutan et al. (2017)
#'
#' Foroutan et al. collected data from multiple different studies where various
#' cell lines (from various tissues of origin) were stimulated with transforming
#' growth factor beta (TGFb) to induce an epithelial to mesenchymal transition
#' (EMT). Since the data were from different studies (and platforms), the
#' surrogate variable analysis (SVA) and ComBat approaches were applied to
#' correct for batch effects.
#'
#' Data from this publication were downloaded from figshare and processed into a
#' SummarizedExperiment object. Sample annotations were retrieved from the
#' original publication.
#'
#' @format A SummarizedExperiment object, containing gene expression data of
#'   human cell lines treated with TGFb. The [SummarizedExperiment::colData()]
#'   function can be used to access the sample annotations.
#' @references Foroutan, M., Cursons, J., Hediyeh-Zadeh, S., Thompson, E. W., &
#'   Davis, M. J. (2017). A transcriptional program for detecting TGFb-induced
#'   EMT in Cancer. Molecular Cancer Research, 15(5), 619-631.
#' @examples
#' library(ExperimentHub)
#' eh <- ExperimentHub()
#' emt_datasets <- query(eh, "emtdata")
#' @name foroutan2017_se
#'
NULL

#' EGF or hypoxia treatment of Breast Cancer Cell lines from Cursons et al. (2015)
#'
#' Dataset used in Cursons et al. 2015. where parallel ‘deep sequencing’ of RNA
#' (RNA-Seq) were conducted to examine the changes in expression profiles between
#' breast cancer cell lines PMC42-ET, PMC42-LA and MDA-MB-468 cells.
#'
#' For PMC42 cell lines, cells were treated for 3 or 7 days in the presence or
#' absence of 10 ng/ml EGF.
#' For MDA-MB-468 cells, cells were treated for 7 days in the presence or absence
#' of either 10 ng/ml EGF or kept under Hypoxia.
#'
#' There are 3 biological replicates per condition which were summed.
#' Samples were sequenced on the Illumina HiSeq 2000, 100bp paired end.
#'
#' Data from this publication were downloaded from EMBL-EBI ENA and processed into
#' a SummarizedExperiment object. Sample annotations were modified from the original
#' publication and SRA portal.
#'
#' @format A SummarizedExperiment object, containing gene expression data of
#'   different sub-lines of human breast cancer cell lines. The
#'   [SummarizedExperiment::colData()] function can be used to access the sample
#'   annotations.
#' @references Cursons, J., Leuchowius, KJ., Waltham, M., Tomaskovic-Crook, E.,
#' Foroutan, M., Bracken, CP., Redfern,A., Crampin, EJ., Street, I., Davis, MJ.
#' & Thompson,EW. (2015) Stimulus-dependent differences in signalling regulate
#' epithelial-mesenchymal plasticity and change the effects of drugs in breast
#' cancer cell lines. Cell Commun Signal 13, 26 (2015).
#' @examples
#' library(ExperimentHub)
#' eh <- ExperimentHub()
#' emt_datasets <- query(eh, "emtdata")
#' @name cursons2015_se
#'
NULL

#' Combinatorial miRNAs in breast cancer EMT from Cursons et al. (2018)
#'
#' Cursons et al. used the Human Mammary Epithelial Cells (HMLE) cell line dataset.
#' A mesenchymal HMLE (mesHMLE) phenotype was induced following treatment with
#' transforming growth factors (TGFb). The mesHMLE subline was then treated with
#' mir200c to reinduce an epithelial phenotype. All mRNA RNA-seq was collected
#' using the Illumina HiSeq 2500 with a paired end read length of 100bp.
#'
#' Data from this publication were downloaded from the European Nucleotide
#' Archive (ENA) and processed into a SummarizedExperiment object. Sample
#' annotations were modified from the original publication.
#'
#' @format A SummarizedExperiment object, containing gene expression data of
#'   the Human Mammary Epithelial Cells (HMLE) cell line. The
#'   [SummarizedExperiment::colData()] function can be used to access the sample
#'   annotations.
#' @references Cursons, J., Pillman, K. A., Scheer, K. G., Gregory, P. A.,
#' Foroutan, M., Hediyeh-Zadeh, S., ... & Davis, M. J. (2018). Combinatorial
#' targeting by microRNAs co-ordinates post-transcriptional control of EMT. Cell
#' systems, 7(1), 77-91.
#' @examples
#' library(ExperimentHub)
#' eh <- ExperimentHub()
#' emt_datasets <- query(eh, "emtdata")
#' @name cursons2018_se
#'
NULL

.onLoad <- function(libname, pkgname) {
  fl = system.file("extdata", "metadata.csv", package = pkgname)
  titles = utils::read.csv(fl, stringsAsFactors = FALSE)$Title

  ExperimentHub::createHubAccessors(pkgname, 'cursons2015_se')
  ExperimentHub::createHubAccessors(pkgname, 'foroutan2017_se')
  ExperimentHub::createHubAccessors(pkgname, 'cursons2018_se')
}

#' Convert a SummarizedExperiment object to a DGEList object
#'
#' This function converts a SummarizedExperiment object to a DGEList object to
#' enhance differential expression analysis using the edgeR package.
#'
#' @param se a SummarizedExperiment object.
#' @param assay_name a character, specifying the assay to retrieve.
#'
#' @return a DGEList object
#' @export
#'
#' @examples
#' library(ExperimentHub)
#'
#' eh = ExperimentHub()
#' query(eh, 'emtdata')
#'
#' cursons2018_se = eh[['EH5440']]
#' cursons2018_dge = asDGEList(cursons2018_se)
#'
asDGEList <- function(se, assay_name = 'counts') {
  stopifnot(length(SummarizedExperiment::assays(se)) > 0)
  stopifnot(assay_name %in% SummarizedExperiment::assayNames(se))

  dge = edgeR::DGEList(
    counts = SummarizedExperiment::assay(se, assay_name),
    genes = SummarizedExperiment::rowData(se),
    samples = SummarizedExperiment::colData(se)
  )
  return(dge)
}

test_that("conversion to DGEList works", {
  library(SummarizedExperiment)
  se = SummarizedExperiment(assays = list('counts' = matrix(0, 3, 3)))

  expect_equal(dim(asDGEList(se)), dim(se))
  expect_error(dim(asDGEList(se, 'qwerty')))
  #expect error when no assay data present
  expect_error(dim(asDGEList(SummarizedExperiment())))
  expect_error(dim(asDGEList(SummarizedExperiment(), 1)))
})

library(SummarizedExperiment)
library(edgeR)
library(BiocFileCache)
library(Homo.sapiens)
library(stringr)
library(plyr)

#----Cursons et al. (2018) Cell Systems, HMLE system EMT----
str_dataset = 'Cursons2018'

#specify paths
fcpath = 'inst/extdata/Cursons2018_fc_counts.txt.gz'
annotpath = 'inst/extdata/Cursons2018_sample_annotations.csv'

#read in raw data
emat = read.delim(gzfile(fcpath), skip = 1, row.names = 1, check.names = FALSE)
sampleannot = read.csv(annotpath)
rownames(sampleannot) = sampleannot$Run

#split gene annotations from the emat
geneannot = emat[, 1:7]
emat = emat[, -(1:7)]
colnames(emat) = basename(dirname(colnames(emat)))
emat = emat[, rownames(sampleannot)]

#create DGEList object for pre-processing
dge = DGEList(counts = emat, genes = geneannot, samples = sampleannot)

#filter out lowly expressed genes
design = model.matrix(~ 0 + Subline + Treatment, data = dge$samples)
keep = filterByExpr(emat, design = design)

op = par(no.readonly = TRUE)
par(mfrow = c(1, 2))
hist(cpm(dge, log = TRUE), main = paste('Before Filter:', str_dataset), xlab = 'logCPM')
hist(cpm(dge[keep, ], log = TRUE), main = paste('After Filter:', str_dataset), xlab = 'logCPM')
par(op)

dge = dge[keep, ]

#compute normalisation factors and RPKM
dge = calcNormFactors(dge)
emat_rpkm = rpkm(dge, gene.length = 'Length', log = TRUE)

#create a SummarizedExperiment object
cursons2018_se = SummarizedExperiment(
  assays = list('counts' = dge$counts, 'logRPKM' = emat_rpkm),
  rowData = dge$genes,
  colData = dge$samples
)
colnames(cursons2018_se) = cursons2018_se$Sample.Name
save(cursons2018_se, file = 'cursons2018_se.rda')

#----Rik Thompson 2015 EMT----
str_dataset = 'Cursons2015'

#specify paths
fcpath = 'inst/extdata/Cursons2015_fc_counts.txt.gz'
annotpath = 'inst/extdata/Cursons2015_sample_annotations.csv'

#read in raw data
emat = read.table(gzfile(fcpath),row.names=1, check.names = FALSE)
sampleannot = read.csv(annotpath)
rownames(sampleannot) = sampleannot$Run

#split gene annotations from the emat
geneannot = emat[, 1:7]
emat = emat[, -(1:7)]
colnames(emat) = basename(dirname(colnames(emat)))
emat = emat[, rownames(sampleannot)]

#sum up technical replicates
emat = sumTechReps(emat, ID = sampleannot$Sample.Name)

#combine annotations for technical replicates
sampleannot = ddply(sampleannot, 'Sample.Name', function(df) {
  df$Run = paste(df$Run, collapse = ',')
  df$Experiment = paste(df$Experiment, collapse = ',')
  return(unique(df))
})
rownames(sampleannot) = sampleannot$Sample.Name
emat = emat[, rownames(sampleannot)]

#create DGEList object for pre-processing
dge_cursons = DGEList(counts = emat, genes = geneannot, samples = sampleannot)

#filter out lowly expressed genes
#no treatment differences in this experiment as the samples are all untreated controls
design = model.matrix(~ 0 + Cell.Line + Treatment, data = dge_cursons$samples)
keep = filterByExpr(emat, design = design)

op = par(no.readonly = TRUE)
par(mfrow = c(1, 2))
hist(cpm(dge_cursons, log = TRUE), main = paste('Before Filter:', str_dataset), xlab = 'logCPM')
hist(cpm(dge_cursons[keep, ], log = TRUE), main = paste('After Filter:', str_dataset), xlab = 'logCPM')
par(op)

dge_cursons = dge_cursons[keep, ]

#compute normalisation factors and RPKM
dge_cursons = calcNormFactors(dge_cursons)
emat_rpkm = rpkm(dge_cursons, gene.length = 'Length', log = TRUE)

#create a SummarizedExperiment object
cursons2015_se = SummarizedExperiment(
  assays = list('counts' = dge_cursons$counts, 'logRPKM' = emat_rpkm),
  rowData = dge_cursons$genes,
  colData = dge_cursons$samples
)
save(cursons2015_se, file = 'cursons2015_se.rda')

#----Foroutan et al. (2017) MCR, EMT compendium dataset----
figshare_link = 'https://ndownloader.figshare.com/files/9938620'
annotpath = 'inst/extdata/Foroutan_sample_annotations.csv'

#download data
bfc = BiocFileCache(tempfile(), ask = FALSE)
fpath = bfcrpath(bfc, figshare_link)
foroutan_data = read.delim(fpath, row.names = 1)

#read in sample annotations
sampleannot = read.csv(annotpath)
rownames(sampleannot) = sampleannot$SampleID

#create gene annotations
geneannot = data.frame(
  'EntrezID' = rownames(foroutan_data),
  'EnsemblID' = mapIds(Homo.sapiens, rownames(foroutan_data), 'ENSEMBL', 'ENTREZID'),
  'Chr' = mapIds(Homo.sapiens, rownames(foroutan_data), 'CDSCHROM', 'ENTREZID'),
  'Start' = mapIds(Homo.sapiens, rownames(foroutan_data), 'CDSSTART', 'ENTREZID'),
  'End' = mapIds(Homo.sapiens, rownames(foroutan_data), 'CDSEND', 'ENTREZID'),
  'Strand' = mapIds(Homo.sapiens, rownames(foroutan_data), 'CDSSTRAND', 'ENTREZID'),
  'gene_name' = mapIds(Homo.sapiens, rownames(foroutan_data), 'SYMBOL', 'ENTREZID')
)

#create a SummarizedExperiment object
foroutan2017_se = SummarizedExperiment(
  assays = list('logExpr' = as.matrix(foroutan_data)),
  rowData = geneannot,
  colData = sampleannot[colnames(foroutan_data), ]
)
save(foroutan2017_se, file = 'foroutan2017_se.rda')

meta = data.frame(
  Title = c('foroutan2017_se', 'cursons2018_se', 'cursons2015_se'),
  Description = c(
    'Gene expression data from Foroutan et al., MCR 2017. This gene expression data comes from multiple different studies (microarary and RNA-seq), with cell lines treated using TGFb to induce a mesenchymal shift. Data were combined using SVA and ComBat to remove batch effects.',
    'Gene expression data from Cursons et al., Cell Syst 2018. This gene expression data comes from the human mammary epithelial (HMLE) cell line. A mesenchymal HMLE (mesHMLE) phenotype was induced following treatment with TGFb. The mesHMLE subline was then treated with mir200c to reinduce an epithelial phenotype.',
    'Gene expression data from Cursons et al., Cell Commun Signal 2015. This gene expression data comes from the PMC42-ET, PMC42-LA and MDA-MB-468 cell lines. Mesenchymal phenotype was induced in PMC42 cell lines with EGF treatment and in MDA-MB-468 with either EGF treatment or kept under Hypoxia.'
  ),
  BiocVersion = c(3.13),
  Genome = NA,
  SourceType = c('TXT'),
  SourceUrl = c(
    'https://doi.org/10.4225/49/5a2a11fa43fe3',
    'https://www.ncbi.nlm.nih.gov/bioproject/?term=PRJEB25042',
    'https://www.ncbi.nlm.nih.gov/bioproject/?term=PRJNA322427'
  ),
  SourceVersion = c('1.0'),
  Species = c('Homo sapiens'),
  TaxonomyId = c(9606),
  Coordinate_1_based = TRUE,
  DataProvider = c('Walter and Eliza Hall Institute of Medical Research', 'Queensland University of Technology', 'Center for Cancer Biology, Adelaide, Australia'),
  Maintainer = 'Malvika D. Kharbanda <kharbanda.m@wehi.edu.au>',
  RDataClass = 'GSEABase::SummarizedExperiment',
  DispatchClass = 'Rda',
  RDataPath = c(
    'emtdata/foroutan2017_se.rda',
    'emtdata/cursons2018_se.rda',
    'emtdata/cursons2015_se.rda'
  )
)

write.csv(meta, file = 'inst/extdata/metadata.csv', row.names = FALSE)

ExperimentHubData::makeExperimentHubMetadata('../emtdata')

---
title: "emtdata"
author: "Malvika D. Kharbanda"
date: "`r BiocStyle::doc_date()`"
output:
  prettydoc::html_pretty:
    theme: hpstr
    toc: yes
    toc_depth: 2
    number_sections: yes
    fig_caption: yes
    df_print: paged
vignette: >
  %\VignetteIndexEntry{emtdata}
  %\VignetteEngine{knitr::rmarkdown}
  %\VignetteEncoding{UTF-8}
---

```{r, include = FALSE}
knitr::opts_chunk$set(
  collapse = TRUE,
  comment = "#>"
)
```

# emtdata
The emtdata package is an ExperimentHub package for three data sets with an Epithelial to Mesenchymal Transition (EMT). This package provides pre-processed RNA-seq data where the epithelial to mesenchymal transition was induced on cell lines. These data come from three publications [Cursons et al. (2015)](https://www.ncbi.nlm.nih.gov/bioproject/?term=PRJNA322427), [Cursons etl al. (2018)](https://www.ncbi.nlm.nih.gov/bioproject/?term=PRJEB25042) and [Foroutan et al. (2017)](https://doi.org/10.4225/49/5a2a11fa43fe3). In each of these publications, EMT was induces across multiple cell lines following treatment by TGFb among other stimulants. This data will be useful in determining the regulatory programs modified in order to achieve an EMT. Data were processed by the Davis laboratory in the Bioinformatics division at WEHI.
  
This package can be installed using the code below:

```{r install}
if (!requireNamespace("BiocManager", quietly = TRUE))
    install.packages("BiocManager")
BiocManager::install("emtdata")
```

# Download data from the emtdata R package

Data in this package can be downloaded using the `ExperimentHub` interface as shown below. To download the data, we first need to get a list of the data available in the `emtdata` package and determine the unique identifiers for each data. The `query()` function assists in getting this list.

```{r load-packages, message=FALSE}
library(emtdata)
library(ExperimentHub)
library(SummarizedExperiment)
```

```{r get-emtdata}
eh = ExperimentHub()
query(eh , 'emtdata')
```

Data can then be downloaded using the unique identifier.

```{r download-emtdata-cursons2018-id}
eh[['EH5440']]
```

Alternatively, data can be downloaded using object name accessors in the `emtdata` package as below:

```{r download-emtdata-cursons2018-accessor}
#metadata are displayed
cursons2018_se(metadata = TRUE)
#data are loaded
cursons2018_se()
```

# Accessing SummarizedExperiment object

```{r access-se}
cursons2018_se = eh[['EH5440']]

#read counts
assay(cursons2018_se)[1:5, 1:5]

#genes
rowData(cursons2018_se)

#sample information
colData(cursons2018_se)
```

# Exploratory analysis and visualization

Below we demonstrate how the SummarizedExperiment object can be interacted with. A simple MDS analyis is demonstrated for each of the datasets within this package. This transcriptomic data can be used for differential expression (DE) analyis and co-expression analysis to better understand the processes underlying EMT or MET. 

## cursons2018

This gene expression data comes from the human mammary epithelial (HMLE) cell line. A mesenchymal HMLE (mesHMLE) phenotype was induced following treatment with TGFb. The mesHMLE subline was then treated with mir200c to reinduce an epithelial phenotype.

See help page `?cursons2018_se` for further reference

```{r}
library(edgeR)
library(RColorBrewer)
cursons2018_dge <- asDGEList(cursons2018_se)
cursons2018_dge <- calcNormFactors(cursons2018_dge)
plotMDS(cursons2018_dge)
```

## cursons2015

This gene expression data comes from the PMC42-ET, PMC42-LA and MDA-MB-468 cell lines. Mesenchymal phenotype was induced in PMC42 cell lines with EGF treatment and in MDA-MB-468 with either EGF treatment or kept under Hypoxia. 

See help page `?cursons2015_se` for further reference. 

```{r}
cursons2015_se = eh[['EH5441']]
cursons2015_dge <- asDGEList(cursons2015_se)
cursons2015_dge <- calcNormFactors(cursons2015_dge)
colours <- brewer.pal(7, name = "Paired")
plotMDS(cursons2015_dge, dim.plot = c(2,3), col=rep(colours, each = 3)) 
```

## foroutan2017

This gene expression data comes from multiple different studies (microarary and RNA-seq), with cell lines treated using TGFb to induce a mesenchymal shift. Data were combined using SVA and ComBat to remove batch effects.

See help page `?foroutan2017_se` for further reference

```{r}
foroutan2017_se = eh[['EH5439']]
foroutan2017_dge <- asDGEList(foroutan2017_se, assay_name = "logExpr")
foroutan2017_dge <- calcNormFactors(foroutan2017_dge)
tgfb_col <- as.numeric(foroutan2017_dge$samples$Treatment %in% 'TGFb') + 1
plotMDS(foroutan2017_dge, labels = foroutan2017_dge$samples$Treatment, col = tgfb_col)
```

# Session information

```{r sessionInfo}
sessionInfo()
```

% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/zzz.r
\name{cursons2015_se}
\alias{cursons2015_se}
\title{EGF or hypoxia treatment of Breast Cancer Cell lines from Cursons et al. (2015)}
\format{
A SummarizedExperiment object, containing gene expression data of
different sub-lines of human breast cancer cell lines. The
\code{\link[SummarizedExperiment:SummarizedExperiment-class]{SummarizedExperiment::colData()}} function can be used to access the sample
annotations.
}
\description{
Dataset used in Cursons et al. 2015. where parallel ‘deep sequencing’ of RNA
(RNA-Seq) were conducted to examine the changes in expression profiles between
breast cancer cell lines PMC42-ET, PMC42-LA and MDA-MB-468 cells.
}
\details{
For PMC42 cell lines, cells were treated for 3 or 7 days in the presence or
absence of 10 ng/ml EGF.
For MDA-MB-468 cells, cells were treated for 7 days in the presence or absence
of either 10 ng/ml EGF or kept under Hypoxia.

There are 3 biological replicates per condition which were summed.
Samples were sequenced on the Illumina HiSeq 2000, 100bp paired end.

Data from this publication were downloaded from EMBL-EBI ENA and processed into
a SummarizedExperiment object. Sample annotations were modified from the original
publication and SRA portal.
}
\examples{
library(ExperimentHub)
eh <- ExperimentHub()
emt_datasets <- query(eh, "emtdata")
}
\references{
Cursons, J., Leuchowius, KJ., Waltham, M., Tomaskovic-Crook, E.,
Foroutan, M., Bracken, CP., Redfern,A., Crampin, EJ., Street, I., Davis, MJ.
& Thompson,EW. (2015) Stimulus-dependent differences in signalling regulate
epithelial-mesenchymal plasticity and change the effects of drugs in breast
cancer cell lines. Cell Commun Signal 13, 26 (2015).
}

% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/se_conversion.R
\name{asDGEList}
\alias{asDGEList}
\title{Convert a SummarizedExperiment object to a DGEList object}
\usage{
asDGEList(se, assay_name = "counts")
}
\arguments{
\item{se}{a SummarizedExperiment object.}

\item{assay_name}{a character, specifying the assay to retrieve.}
}
\value{
a DGEList object
}
\description{
This function converts a SummarizedExperiment object to a DGEList object to
enhance differential expression analysis using the edgeR package.
}
\examples{
library(ExperimentHub)

eh = ExperimentHub()
query(eh, 'emtdata')

cursons2018_se = eh[['EH5440']]
cursons2018_dge = asDGEList(cursons2018_se)

}

% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/zzz.r
\name{cursons2018_se}
\alias{cursons2018_se}
\title{Combinatorial miRNAs in breast cancer EMT from Cursons et al. (2018)}
\format{
A SummarizedExperiment object, containing gene expression data of
the Human Mammary Epithelial Cells (HMLE) cell line. The
\code{\link[SummarizedExperiment:SummarizedExperiment-class]{SummarizedExperiment::colData()}} function can be used to access the sample
annotations.
}
\description{
Cursons et al. used the Human Mammary Epithelial Cells (HMLE) cell line dataset.
A mesenchymal HMLE (mesHMLE) phenotype was induced following treatment with
transforming growth factors (TGFb). The mesHMLE subline was then treated with
mir200c to reinduce an epithelial phenotype. All mRNA RNA-seq was collected
using the Illumina HiSeq 2500 with a paired end read length of 100bp.
}
\details{
Data from this publication were downloaded from the European Nucleotide
Archive (ENA) and processed into a SummarizedExperiment object. Sample
annotations were modified from the original publication.
}
\examples{
library(ExperimentHub)
eh <- ExperimentHub()
emt_datasets <- query(eh, "emtdata")
}
\references{
Cursons, J., Pillman, K. A., Scheer, K. G., Gregory, P. A.,
Foroutan, M., Hediyeh-Zadeh, S., ... & Davis, M. J. (2018). Combinatorial
targeting by microRNAs co-ordinates post-transcriptional control of EMT. Cell
systems, 7(1), 77-91.
}

% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/zzz.r
\name{foroutan2017_se}
\alias{foroutan2017_se}
\title{TGFb stimulated cell lines from Foroutan et al. (2017)}
\format{
A SummarizedExperiment object, containing gene expression data of
human cell lines treated with TGFb. The \code{\link[SummarizedExperiment:SummarizedExperiment-class]{SummarizedExperiment::colData()}}
function can be used to access the sample annotations.
}
\description{
Foroutan et al. collected data from multiple different studies where various
cell lines (from various tissues of origin) were stimulated with transforming
growth factor beta (TGFb) to induce an epithelial to mesenchymal transition
(EMT). Since the data were from different studies (and platforms), the
surrogate variable analysis (SVA) and ComBat approaches were applied to
correct for batch effects.
}
\details{
Data from this publication were downloaded from figshare and processed into a
SummarizedExperiment object. Sample annotations were retrieved from the
original publication.
}
\examples{
library(ExperimentHub)
eh <- ExperimentHub()
emt_datasets <- query(eh, "emtdata")
}
\references{
Foroutan, M., Cursons, J., Hediyeh-Zadeh, S., Thompson, E. W., &
Davis, M. J. (2017). A transcriptional program for detecting TGFb-induced
EMT in Cancer. Molecular Cancer Research, 15(5), 619-631.
}
